# Test: All persona fields properly filled
# Expected: PASS

agent:
  metadata:
    id: complete-persona
    name: Complete Persona Agent
    title: Complete Persona
    icon: 🧪
    hasSidecar: false

  persona:
    role: Comprehensive test agent with all persona fields
    identity: I am a test agent designed to validate complete persona structure with multiple characteristics and attributes.
    communication_style: Professional, clear, and thorough with attention to detail
    principles:
      - Validate all persona fields are present
      - Ensure array fields work correctly
      - Test comprehensive documentation

  menu:
    - trigger: help
      description: Show help
      action: display_help
